Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## fr.lip6.type
Class FloatVector

    java.lang.Object
      fr.lip6.type.MLVector<float[]>
          fr.lip6.type.FloatVector

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable

    public class FloatVector

extends MLVector<float[]>

See Also:
  Serialized Form

Field Summary

Fields inherited from class fr.lip6.type.MLVector
`eps, length, values`

Constructor Summary
`FloatVector()`
`FloatVector(float[] f)`

Method Summary
`MLVector<float[]>` | `add(MLVector<float[]> lv)` addition of vectors
`double` | `distChi1(MLVector<float[]> lv)` chi² distance with abs() instead of pow()
`double` | `distChi2(MLVector<float[]> lv)` Chi² distance between vectors.
`double` | `distL2(MLVector<float[]> lv)` L2 distance between the vectors.
`double` | `dot(MLVector<float[]> lvector)` return dot product (scalar product)
`MLVector<float[]>` | `mult(double d)` multiplicaton par un scalaire.
`MLVector<float[]>` | `mult(MLVector<float[]> lv)` multiplication membre à membre
`MLVector<float[]>` | `Normalize()` return a Vector colinear to this with norm 1
`MLVector<float[]>` | `NormalizeLocal()` set the norm of this vector to 1
`MLVector<float[]>` | `zero()` return zero of the input space

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FloatVector

    public FloatVector()

### FloatVector

    public FloatVector(float[] f)

Method Detail

### add

    public MLVector<float[]> add(MLVector<float[]> lv)

  Description copied from class: `MLVector`
  addition of vectors

  Specified by:
    `add` in class `MLVector<float[]>`
  Returns:
    a new MLVector that is the addition of this MLVector and lvector

### dot

    public double dot(MLVector<float[]> lvector)

  Description copied from class: `MLVector`
  return dot product (scalar product)

  Specified by:
    `dot` in class `MLVector<float[]>`
  Returns:
    dot product between this MLVector and lvector

### distChi2

    public double distChi2(MLVector<float[]> lv)

  Description copied from class: `MLVector`
  Chi² distance between vectors.

  Specified by:
    `distChi2` in class `MLVector<float[]>`
  Returns:
    Chi² distance between this MLVector and lv

### distL2

    public double distL2(MLVector<float[]> lv)

  Description copied from class: `MLVector`
  L2 distance between the vectors.

  Specified by:
    `distL2` in class `MLVector<float[]>`
  Returns:
    L2 distance between this MLVector and lv

### distChi1

    public double distChi1(MLVector<float[]> lv)

  Description copied from class: `MLVector`
  chi² distance with abs() instead of pow()

  Specified by:
    `distChi1` in class `MLVector<float[]>`
  Returns:
    Chi^1 distance between this MLVector and lv

### mult

    public MLVector<float[]> mult(MLVector<float[]> lv)

  Description copied from class: `MLVector`
  multiplication membre à membre

  Specified by:
    `mult` in class `MLVector<float[]>`
  Returns:
    a new MLVector that is a member to member product of composants from this MLVector and lv

### mult

    public MLVector<float[]> mult(double d)

  Description copied from class: `MLVector`
  multiplicaton par un scalaire.

  Specified by:
    `mult` in class `MLVector<float[]>`

### zero

    public MLVector<float[]> zero()

  Description copied from class: `MLVector`
  return zero of the input space

  Specified by:
    `zero` in class `MLVector<float[]>`
  Returns:
    return zero representation in input space

### Normalize

    public MLVector<float[]> Normalize()

  Description copied from class: `MLVector`
  return a Vector colinear to this with norm 1

  Specified by:
    `Normalize` in class `MLVector<float[]>`

### NormalizeLocal

    public MLVector<float[]> NormalizeLocal()

  Description copied from class: `MLVector`
  set the norm of this vector to 1

  Specified by:
    `NormalizeLocal` in class `MLVector<float[]>`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD